Subject: [alpine-aports] [PATCH 1/1] testing/enet: new aport

From: Daniel Sabogal <[email-masked]>
Date: Wed, 17 Aug 2016 00:13:13 -0400

http://enet.bespin.org
Reliable UDP networking library
---
 testing/enet/APKBUILD | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)
 create mode 100644 testing/enet/APKBUILD

diff --git a/testing/enet/APKBUILD b/testing/enet/APKBUILD
new file mode 100644
index 0000000..5d7bcba
--- /dev/null
+++ b/testing/enet/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Daniel Sabogal <[email-masked]>
+# Maintainer:
+pkgname=enet
+pkgver=1.3.13
+pkgrel=0
+pkgdesc="Reliable UDP networking library"
+url="http://enet.bespin.org"
+arch="all"
+license="MIT"
+depends=""
+makedepends=""
+subpackages="$pkgname-dev"
+source="http://enet.bespin.org/download/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir/" install || return 1
+}
+
+md5sums="b83b9a7791417b6b6f5c68231f6e218b  enet-1.3.13.tar.gz"
+sha256sums="e36072021faa28731b08c15b1c3b5b91b911baf5f6abcc7fe4a6d425abada35c  enet-1.3.13.tar.gz"
+sha512sums="82501c0248330a3a6bcac907907760e59b18cb662ebb42fe2c91e1557f1bc8ab452bf3fe7477dc01fa7a6e3b6124e1eb8eac46382d5bbebb2394879f9568b5df  enet-1.3.13.tar.gz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---